import { Suspense } from "react";

import {
  CompatibilitySection,
  CompatibilitySectionSkeleton,
} from "@/components/domains/dashboard";
import { loadCompatibility } from "@/entities/dashboard/loaders";

export default function Compatibility() {
  return (
    <Suspense fallback={<CompatibilitySectionSkeleton />}>
      <CompatibilitySection
        promise={loadCompatibility()}
        gridDisplayMode="vertical"
      />
    </Suspense>
  );
}
